# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Data
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Data API
Name:		php-horde-Horde_Data
Version:	1.0.7
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	2bf9d80dab68e81c8e21f5c2240847d6
URL:		https://github.com/horde/horde/tree/master/framework/Data/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Browser < 2.0.0
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Icalendar < 2.0.0
Requires:	php-horde-Horde_Mime < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-horde-Horde_Util
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Util.*)

%description
This package provides a data import and export API, with backends for:
- CSV
- TSV
- iCalendar
- vCard
- vNote
- vTodo

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%doc docs/Horde_Data/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Data.php
%{php_pear_dir}/Horde/Data
%{php_pear_dir}/data/Horde_Data
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 843581c
- updated to: 1.0.7

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 962e322
- updated to: 1.0.6

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 63f8e79
- updated to: 1.0.3

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 18e0a70
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> a0aa7f8
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> b796c59
- horde h4 pear packages

